> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transcript

> Fetch a transcript with its logs, properties and evaluation results.



## OpenAPI

````yaml /specs/analytics/openapi.public.json get /v1/transcript/{transcriptID}
openapi: 3.0.0
info:
  title: Analytics
  description: Voiceflow analytics service
  version: 1.0.0
  contact: {}
servers:
  - url: https://analytics-api.voiceflow.com
security: []
paths:
  /v1/transcript/{transcriptID}:
    get:
      tags:
        - Transcript
        - Public-Docs
      summary: Get transcript
      description: Fetch a transcript with its logs, properties and evaluation results.
      operationId: TranscriptPublicController_findOneWithLogs_v1
      parameters:
        - name: transcriptID
          required: true
          in: path
          description: ID of the transcript to target.
          schema:
            type: string
            description: ID of the transcript to target.
        - name: unredacted
          required: false
          in: query
          schema:
            description: >-
              When enabled, un-redacted logs will be returned if they are still
              available.
            type: boolean
        - name: filterConversation
          required: false
          in: query
          schema:
            description: >-
              When enabled, only `text`, `speak` and `live-agent-handoff` traces
              will be returned.
            type: boolean
        - name: customTraceTypes
          required: false
          in: query
          schema:
            description: >-
              Used to indicate additional trace types that should be returned
              when `filterConversation` is enabled.
            type: array
            items:
              type: string
        - name: encode
          required: false
          in: query
          schema:
            description: Escape HTML special characters that appear in transcripts.
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  transcript:
                    $ref: '#/components/schemas/TranscriptWithLogsResponse'
                required:
                  - transcript
                additionalProperties: false
      security:
        - auth: []
components:
  schemas:
    TranscriptWithLogsResponse:
      type: object
      properties:
        id:
          type: string
        userID:
          type: string
        sessionID:
          type: string
        projectID:
          type: string
        environmentID:
          type: string
        createdAt:
          type: string
          format: date
        updatedAt:
          type: string
          format: date
        expiresAt:
          nullable: true
          type: string
          format: date
        endedAt:
          nullable: true
          type: string
          format: date
        recordingURL:
          nullable: true
          type: string
        properties:
          type: array
          items:
            $ref: '#/components/schemas/TranscriptPropertyWithValue'
        evaluations:
          type: array
          items:
            $ref: '#/components/schemas/TranscriptEvaluationWithResult'
        history:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              createdAt:
                type: string
                format: date
            required:
              - id
              - createdAt
        logs:
          type: array
          items:
            $ref: '#/components/schemas/TranscriptLogResponse'
      required:
        - id
        - userID
        - sessionID
        - projectID
        - environmentID
        - createdAt
        - updatedAt
        - expiresAt
        - endedAt
        - recordingURL
        - properties
        - evaluations
        - history
        - logs
      additionalProperties: false
    TranscriptPropertyWithValue:
      type: object
      properties:
        value:
          type: string
        metadata:
          nullable: true
          type: object
          additionalProperties: {}
        createdAt:
          type: string
          format: date
        updatedAt:
          type: string
          format: date
        id:
          type: string
        name:
          type: string
        type:
          type: string
        default:
          type: boolean
      required:
        - value
        - metadata
        - createdAt
        - updatedAt
        - id
        - name
        - type
        - default
    TranscriptEvaluationWithResult:
      oneOf:
        - $ref: '#/components/schemas/BooleanTranscriptEvaluationWithResult'
        - $ref: '#/components/schemas/NumberTranscriptEvaluationWithResult'
        - $ref: '#/components/schemas/StringTranscriptEvaluationWithResult'
        - $ref: '#/components/schemas/OptionTranscriptEvaluationWithResult'
    TranscriptLogResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - trace
            - action
            - end
          x-enumNames:
            - TRACE
            - ACTION
            - END
        data:
          $ref: '#/components/schemas/__schema0'
        createdAt:
          type: string
          format: date
        updatedAt:
          type: string
          format: date
      required:
        - type
        - data
        - createdAt
        - updatedAt
    BooleanTranscriptEvaluationWithResult:
      type: object
      properties:
        value:
          anyOf:
            - type: number
            - type: string
            - type: boolean
        reason:
          type: string
        cost:
          type: number
        createdAt:
          type: string
          format: date
        updatedAt:
          type: string
          format: date
        id:
          type: string
        name:
          type: string
        description:
          nullable: true
          type: string
        default:
          type: boolean
        type:
          type: string
          enum:
            - boolean
          x-enumNames:
            - BOOLEAN
      required:
        - value
        - reason
        - cost
        - createdAt
        - updatedAt
        - id
        - name
        - description
        - default
        - type
      additionalProperties: false
    NumberTranscriptEvaluationWithResult:
      type: object
      properties:
        value:
          anyOf:
            - type: number
            - type: string
            - type: boolean
        reason:
          type: string
        cost:
          type: number
        createdAt:
          type: string
          format: date
        updatedAt:
          type: string
          format: date
        id:
          type: string
        name:
          type: string
        description:
          nullable: true
          type: string
        default:
          type: boolean
        type:
          type: string
          enum:
            - number
          x-enumNames:
            - NUMBER
        maximumValue:
          type: number
        minimumValue:
          type: number
      required:
        - value
        - reason
        - cost
        - createdAt
        - updatedAt
        - id
        - name
        - description
        - default
        - type
        - maximumValue
        - minimumValue
      additionalProperties: false
    StringTranscriptEvaluationWithResult:
      type: object
      properties:
        value:
          anyOf:
            - type: number
            - type: string
            - type: boolean
        reason:
          type: string
        cost:
          type: number
        createdAt:
          type: string
          format: date
        updatedAt:
          type: string
          format: date
        id:
          type: string
        name:
          type: string
        description:
          nullable: true
          type: string
        default:
          type: boolean
        type:
          type: string
          enum:
            - string
          x-enumNames:
            - STRING
      required:
        - value
        - reason
        - cost
        - createdAt
        - updatedAt
        - id
        - name
        - description
        - default
        - type
      additionalProperties: false
    OptionTranscriptEvaluationWithResult:
      type: object
      properties:
        value:
          anyOf:
            - type: number
            - type: string
            - type: boolean
        reason:
          type: string
        cost:
          type: number
        createdAt:
          type: string
          format: date
        updatedAt:
          type: string
          format: date
        id:
          type: string
        name:
          type: string
        description:
          nullable: true
          type: string
        default:
          type: boolean
        type:
          type: string
          enum:
            - option
          x-enumNames:
            - OPTION
        options:
          type: array
          items:
            $ref: '#/components/schemas/TranscriptEvaluationOptionSchema'
      required:
        - value
        - reason
        - cost
        - createdAt
        - updatedAt
        - id
        - name
        - description
        - default
        - type
        - options
      additionalProperties: false
    __schema0:
      anyOf:
        - anyOf:
            - type: string
            - type: number
            - type: boolean
        - type: array
          items:
            $ref: '#/components/schemas/__schema0'
        - type: object
          additionalProperties:
            $ref: '#/components/schemas/__schema0'
    TranscriptEvaluationOptionSchema:
      type: object
      properties:
        value:
          type: string
          minLength: 1
          maxLength: 100
        prompt:
          type: string
          minLength: 1
          maxLength: 10000
        included:
          type: boolean
        color:
          type: string
      required:
        - value
        - prompt
        - included
        - color
      additionalProperties: false
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````